Page MenuHomePhabricator

Remove max line length override
Closed, ResolvedPublic1 Estimated Story Points

Description

Value proposition (why do we need to do this)?

As a developer, I want to not have very long lines in the codebase. They make for bad diffs, and are against our style guide.

At the moment, we're overriding the Wikimedia ESLint standard to remove the restriction on lines over 100 characters (it's not clear why, it's probably Sam's fault from before).

This ticket is to remove this override and make whatever changes are necessary to comply to the standard.

Functionality/software changes

Rewrite long lines to be short lines, without changing any semantics.

There are currently 33 long 'uns.

User interface changes

None.

  • Does this need QA?

No, not if our automated testing is up to scratch. There is a chance that other bugs will be introduced, but it's very small.

Event Timeline

Samwilson created this task.Sep 7 2018, 2:19 AM
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptSep 7 2018, 2:19 AM
Samwilson updated the task description. (Show Details)Sep 7 2018, 2:19 AM

Change 464430 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/extensions/TemplateWizard@master] Remove 'max line' eslint override and make pass

https://gerrit.wikimedia.org/r/464430

Mooeypoo claimed this task.Oct 3 2018, 9:11 PM
Mooeypoo set the point value for this task to 1.
Mooeypoo moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.

Change 464430 merged by jenkins-bot:
[mediawiki/extensions/TemplateWizard@master] Remove 'max line' eslint override and make pass

https://gerrit.wikimedia.org/r/464430

Mooeypoo closed this task as Resolved.Oct 6 2018, 6:58 AM
Mooeypoo moved this task from Needs Review/Feedback to Q2 2018-19 on the Community-Tech-Sprint board.